Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

Amarok Player Multiple Vulnerabilities

Information

Severity

Severity

Critical

Family

Family

Buffer overflow

CVSSv2 Base

CVSSv2 Base

9.3

CVSSv2 Vector

CVSSv2 Vector

AV:N/AC:M/Au:N/C:C/I:C/A:C

Solution Type

Solution Type

Vendor Patch

Created

Created

13 years ago

Modified

Modified

3 years ago

Summary

This host is installed with Amarok Player for Linux and is prone to Multiple Vulnerabilities.

Insight

Insight

Multiple flaws are due to integer overflow errors within the Audible::Tag::readTag function in src/metadata/audible/audibletag.cpp. This can be exploited via specially crafted Audible Audio files with a large nlen or vlen Tag value.

Affected Software

Affected Software

Amarok Player version prior to 2.0.1.1 on Linux

Solution

Solution

Upgrade to the latest version 2.0.1.1.

Common Vulnerabilities and Exposures (CVE)